org.apache.hadoop.yarn.server.webapp

## Class WrappedLogMetaRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.webapp.WrappedLogMetaRequest

-     public class WrappedLogMetaRequest
      extends Object

  WrappedLogMetaRequest is wrapping a log request initiated by the client. This wrapper class translates the request to a `ContainerLogsRequest` and calls #readAggregatedLogsMeta on the `LogAggregationFileController`. class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WrappedLogMetaRequest.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WrappedLogMetaRequest.Builder` | `builder()`
    `String` | `getAppAttemptId()`
    `String` | `getAppId()`
    `org.apache.hadoop.yarn.api.records.ContainerId` | `getContainerId()`
    `List<org.apache.hadoop.yarn.logaggregation.ContainerLogMeta>` | `getContainerLogMetas()` Constructs a `ContainerLogsRequest` object, and obtains `ContainerLogsRequest` from the corresponding `LogAggregationFileController`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### builder

          public static WrappedLogMetaRequest.Builder builder()

    - #### getAppId

          public String getAppId()

    - #### getAppAttemptId

          public String getAppAttemptId()

    - #### getContainerId

          public org.apache.hadoop.yarn.api.records.ContainerId getContainerId()

    - #### getContainerLogMetas

          public List<org.apache.hadoop.yarn.logaggregation.ContainerLogMeta> getContainerLogMetas()
                                                                                            throws IOException

      Constructs a `ContainerLogsRequest` object, and obtains `ContainerLogsRequest` from the corresponding `LogAggregationFileController`.
      Returns:
        list of `ContainerLogMeta` objects that belong to the application, attempt or container
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.